echo off

echo.
echo.
echo Welcome to the E.V.A. (Evochron Voice Authority) installer...
echo E.V.A. is a VoiceAttack profile and custom framework provided by Casual Crew.
echo This program will guide the installation process,
echo placing the files and settings needed to get started.
echo.
echo --------------------------------------------------------------
echo.
echo 1 = begin the installation for the Steam version of the game.
echo 2 = begin the installation for the direct download version of the game.
echo.
SET /P M=Type a selection then press ENTER:
IF %M%==1 GOTO MENU1
IF %M%==2 GOTO MENU2

:MENU1
set gamefolder=%programfiles(x86)%\Steam\SteamApps\common\Evochron Legacy
echo Set target game folder value to: %gamefolder%
echo.
if not exist "%gamefolder%\EvochronLegacySE.exe" (
echo Game not found in target folder, make sure game is installed
echo and in the correct Steam folder location...
goto EOF
)
echo Ready to begin installation.
pause
GOTO MENU3


:MENU2
set gamefolder=%systemdrive%\sw3dg\EvochronLegacySE
echo Set target game folder value to: %gamefolder%
echo.

if not exist "%gamefolder%\EvochronLegacySE.exe" (
echo Game not found in target folder: %gamefolder%
set gamefolder=d:\sw3dg\EvochronLegacySE
)

if not exist "%gamefolder%\EvochronLegacySE.exe" (
echo Game not found in target folder: %gamefolder%
set gamefolder=e:\sw3dg\EvochronLegacySE
)

if not exist "%gamefolder%\EvochronLegacySE.exe" (
echo Game not found in target folder: %gamefolder%
set gamefolder=f:\sw3dg\EvochronLegacySE
)

if not exist "%gamefolder%\EvochronLegacySE.exe" (
echo Game not found in target folder: %gamefolder%
set gamefolder=g:\sw3dg\EvochronLegacySE
)

if not exist "%gamefolder%\EvochronLegacySE.exe" (
echo Game not found in target folder: %gamefolder%
set gamefolder=h:\sw3dg\EvochronLegacySE
)

if not exist "%gamefolder%\EvochronLegacySE.exe" (
echo Game not found in target folder, make sure game is installed
echo and in the correct direct download folder location...
goto EOF
)
echo Ready to begin installation.
pause
GOTO MENU3


:MENU3
echo.
echo Creating configuration files to receive data from game...
echo %userprofile%\Documents\EvochronLegacySE\txtfile

if not exist "%userprofile%\Documents\EvochronLegacySE\txtfile\" (
       md "%userprofile%\Documents\EvochronLegacySE\txtfile"
)

echo %gamefolder%\media\savedatasettings.txt

if not exist "%gamefolder%\media\savedatasettings.txt" (
      (
      echo 200
      echo %userprofile%\Documents\EvochronLegacySE\txtfile
      )>"%gamefolder%\media\savedatasettings.txt"
)

echo %gamefolder%\media\messagelogsave.txt

if not exist "%gamefolder%\media\messagelogsave.txt" (
      (
      echo 20
      echo %userprofile%\Documents\EvochronLegacySE\txtfile
      )>"%gamefolder%\media\messagelogsave.txt"
)


echo.
echo Installation complete!
echo Next, you can install the VoiceAttack program.
echo.
echo --------------------------------------------------------------
echo.
echo 1 = Install VoiceAttack (requires purchase to operate).
echo 2 = Exit this program.
echo.
SET /P M=Type a selection then press ENTER:
IF %M%==1 GOTO MENU4
IF %M%==2 GOTO MENU5

:MENU4
VoiceAttackInstaller.exe
GOTO EOF

:MENU5
GOTO EOF

:EOF
